%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global alphatag r12

Name:          scannotation
Version:       1.0.3
Release:       %mkrel 6.%{alphatag}.1
Group:         Development/Java
Summary:       A Java annotation scanner
License:       ASL 2.0
URL:           http://scannotation.sourceforge.net
# Also available here https://github.com/jharting/scannotation
# How we created tarball:
# svn export -r 12  https://scannotation.svn.sourceforge.net/svnroot/scannotation scannotation-1.0.3.Final
# tar -caJf scannotation-1.0.3.Final.tar.xz scannotation-1.0.3.Final
Source0:       %{name}-%{namedversion}.tar.xz
# Adding License file
Source1:       License.txt

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(javassist:javassist)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)

%description
Scannotation is a Java library that creates an annotation database 
from a set of .class files.This database is really just a set of maps that index
what annotations are used and what classes are using them. Why do you need this? 
What if you are an annotation framework like an EJB 3.0 container and you want 
to automatically scan your classpath for EJB annotations so that you know what 
to deploy? Scannotation gives you apis that allow you to find archives in your 
classpath or WAR (web application) that you want to scan, then automatically 
scans them without loading each and every class within those archives

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module titan-test-jar
%pom_remove_dep :titan-cruise %{name}

# Force use servlet 3.1 apis
%pom_change_dep :servlet-api javax.servlet:javax.servlet-api:3.1.0 %{name}

cp -p %SOURCE1 .

%mvn_file org.%{name}:%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license License.txt

%files javadoc -f .mfiles-javadoc
%license License.txt



%changelog
* Tue Mar 01 2016 neoclust <neoclust> 1.0.3-6.r12.1.mga6
+ Revision: 981408
- sync package scannotation with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 1.0.3-5.r12.5.mga5
+ Revision: 810114
- build with xmvn
- use .mfiles generated during build
- update BuildRequires

* Sat Oct 25 2014 umeabot <umeabot> 1.0.3-5.r12.4.mga5
+ Revision: 793313
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-5.r12.2.mga4
+ Revision: 521115
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 1.0.3-5.r12.1.mga3
+ Revision: 388692
- Fix buildrequires

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 29 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 173996
- Clean spec file

  + gil <gil>
    - edit spec file
    - imported package scannotation

